<?php
 if(empty($between)){			

	$this->add_control(
		'between',
		[
			'label'			=> __('Space Between Item','reza'),
			'type'			=> \Elementor\Controls_Manager::SELECT,
			'options'		=> reza_array_options('between',true),
		]
	);	
}

/*****************************************************************************************************************************************************
  															Ratio
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
if(!empty($ratio)){			
	$this->add_control(
		'ratio',
		[
			'label'			=> __('Image Ratio','reza'),
			'type' 			=> \Elementor\Controls_Manager::SELECT,
			"condition"			=>	!empty($masonry_fold)?$masonry_fold:'', 
			'options'		=> reza_array_options('ratio',true),
		]
	);	
 }
	
if(!empty($ratio_2)){	
	$this->add_control(
		'ratio_2',
		[
			'label'			=> __('Image Ratio For Second Layout','reza'),
			'type' 			=> \Elementor\Controls_Manager::SELECT,
			"condition"			=>!empty($layout_2_fold)?$layout_2_fold:'',
			'options'		=> reza_array_options('ratio',true),
		]
	);	
} 
/*****************************************************************************************************************************************************
  															Image Width
*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 	 
if(!empty($image_width)){			
	$this->add_control(
		'image_width',
		[
			'label'			=> __('Image Width','reza'),
			'type'			=> \Elementor\Controls_Manager::SELECT,
 			'options'		=> reza_array_options('image_width',true),
		]		
						
	);
}
if(!empty($image_width_2)){		
	$this->add_control(
		'image_width_2',
		[
			'label'			=> __('Image Width For Second Layout','reza'),
			'type'			=> \Elementor\Controls_Manager::SELECT,
			'condition' 	=>  $layout_2_fold, 	
			'options'		=> reza_array_options('image_width',true),
		]		
						
	);	
}
/*****************************************************************************************************************************************************
  															Image Size
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	 
$this->add_control(
	'image_size',
	[
		'label'			=> __('Image Size','reza'),
		'type' 			=> \Elementor\Controls_Manager::SELECT,
		"options" 		=>	reza_all_image_sizes(),
   	]
);	
if(!empty($image_size_2)){			
	$this->add_control(
		'image_size_2',
		[
			'label'			=> __('Image Size For Second Layout','reza'),
			'type' 			=> \Elementor\Controls_Manager::SELECT,
			'condition' 	=>  !empty($layout_2_fold)?$layout_2_fold:'', 	
			"options" 		=>	reza_all_image_sizes(),
			
			
		]
	);	
}
	 	  
$this->add_control(
	'alignment',
	
	[
		'label'			=> __('Details Alignment','reza'),
  		'type' 			=> \Elementor\Controls_Manager::SELECT,
		'options'		=> reza_array_options('alignment_justify',true),			

  	]
);			
if(!empty($box_layout)){			  	  
	$this->add_control(
		'box_layout',
		[
			'label'			=> __('Box Layout','reza'),
			'type' 			=> \Elementor\Controls_Manager::SELECT,
			"condition"		=>	!empty($masonry_fold)?$masonry_fold:'', 			
 			"options" 		=> reza_array_options('box_layout',true), 
	
			
		]
	);	
}
if(!empty($box_layout_text)){			
	$this->add_control(
		'box_layout',
		[
			'label'			=> __('Box Layout','reza'),
			'type' 			=> \Elementor\Controls_Manager::SELECT,
			"condition"		=>	!empty($masonry_fold)?$masonry_fold:'', 			
 			"options" 		=> reza_array_options('box_layout_text',true), 
	
			
		]
	);	
}	
	
if(!empty($caption_layout)){
	$this->add_control(
		'caption_layout',
		[
			'label'			=> __('Caption Layout','reza'),
			'type' 			=> \Elementor\Controls_Manager::SELECT,
 			"options" 		=> reza_array_options('caption_layout',true), 
	
			
		]
	);			 
}
$this->add_responsive_control(
			'elementor_padding',
			[
				'label' => __( 'Margin', 'reza' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' => reza_array_options('elementor_padding'),
 				'default' =>  reza_elementor_default_padding(''),
 
			]
); 
	  
$this->end_controls_section();
	 	 
	?>